It wont let me request this mod even though it meets all the requirements